SplBool::__construct
SplString::__construct
SPL Types
PHP Manual

# The SplString class

## Introduction

The SplString class is used to enforce strong typing of the string type.

## Class synopsis

SplString
SplString {
/* Methods */
__construct ( string `$input` )
}

## Table of Contents

- SplString::__construct — Constructs a string object type

SplBool::__construct
SplString::__construct
SPL Types
PHP Manual